<?php

// -----------------------------------------------------------------------
// This file is part of aroundme
// 
// Copyright (C) 2003, 2005 Barnraiser
// http://www.barnraiser.org/
// info@barnraiser.org
// 
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option) any
// later version.
// 
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with program; see the file COPYING. If not, write to the Free
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
// -----------------------------------------------------------------------

include "inc/header_frm.inc.php";

if (!empty($_REQUEST['group_id'])) { // page under group section
    
	//ACS check
	if (!$group_acs->checkPermission($c_acs['arr_acs']['resource']['group_forum'], $c_acs['arr_acs']['privilege']['allow_access'])) { //resourece_id, Priv_id
		header("Location: g_group.php?group_id=" . $_REQUEST['group_id']."&".SID);
		exit;
	}
	
	//ACS check
	if ($group_acs->checkPermission($c_acs['arr_acs']['resource']['group_forum'], $c_acs['arr_acs']['privilege']['allow_hidden'])) { //resourece_id, Priv_id
		$forum->include_hidden = 1;
	}
}


// PROCESS COMMENTS
require_once($c_node['dir']['class_path'] . 'Comment.class.php');
$comment = new Comment($db, $c_node['rsp']['item_type']['forum'], $date);

if (isset($group_id)) {
    $comment->group_id = $group_id;
}


//setup forum
$forum->comment = $comment;
$forum->file->noimage = $c_node['file']['image']['thumb'][3]['noimage'];
$forum->file->thumb = $c_node['file']['image']['thumb'][3]['name'];


if (isset($_REQUEST['topic_id'])) {
    $forum->topic = $_REQUEST['topic_id'];
	$output_topic = $forum->getTopic();
	$output_topic_roles = $forum->SelTopicRoles();
	$output_topic['subjects'] = $forum->selSubjects();
	
	//check to see if we can add a subject
	if (!empty($output_topic_roles)) {
		foreach($output_topic_roles as $key => $tr):
			if ($tr['role_id'] == $group_acs->role_id) {
				$output_topic['add_subject'] = 1;
				break;
			}
		endforeach;
	}
}
else { //overview
	$forum->limit=3;
	$forum->order = "s.subject_create_datetime desc";
	$output_topics = $forum->getTopics(1, null); //show subjects, search
}





//move to template
if (!empty($output_group)) {
	$body->set('group', $output_group);
}

if (!empty($output_topics)) {
    $body->set('topics', $output_topics);
}

if (!empty($output_topic)) {
    $body->set('topic', $output_topic);
}

if (!empty($display)) {
	$body->set('display', $display);
}

if (!empty($output_group['group_title'])) {
    $template_pageLink = $lang['txt_forum'];
	$template_pageLinkNote = $output_group['group_title'];
}

if (!empty($output_topic_roles)) {
    $body->set('topic_roles', $output_topic_roles);
}

include "inc/footer.inc.php";

?>
